package com.ruoyi.zhushi.mapper;

import com.ruoyi.common.core.mapper.BaseMapperPlus;
import com.ruoyi.zhushi.entity.DkAttendanceGroup;
import com.ruoyi.zhushi.entity.DkCheckInRecord;
import com.ruoyi.zhushi.entity.DkCheckInRecordDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface DkRecordMapper extends BaseMapperPlus<DkRecordMapper, DkCheckInRecord, DkCheckInRecordDTO> {

    public List<DkCheckInRecord> getCurrentDayRecord(@Param("userId") long userId);

    public List<DkCheckInRecord> queryCurrentDayOutRecord(@Param("userId") long userId);

    DkAttendanceGroup queryConfigByUserId(@Param("userId") long userId);

    DkCheckInRecord getRecordHistory(@Param("userId") long userId);
}
